<!DOCTYPE html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="robots" content="noindex" />
    <title>Content Manager</title>
</head>
<body>
    <script src="https://unpkg.com/decap-cms@^3.3.0/dist/decap-cms.js"></script>
    <script>
        const fontCssPath = "{{- ((resources.Get "css/fonts.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}";
        const agendaCssPath = "{{- ((resources.Get "css/agenda.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}";
        const articleCssPath = "{{- ((resources.Get "css/article.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}";
        const eventCssPath = "{{- ((resources.Get "css/event.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}";
        const layoutCssPath = "{{- ((resources.Get "css/layout.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}";

        CMS.registerEventListener({
            name: 'preSave',
            handler: ({ entry }) => {
                const collection = entry.get('collection');
                var data = entry.get('data');
                const slug = data.get('title') ? data.get('title')
                        .toLowerCase()
                        .replace(/[^a-z0-9]+/g, '-')
                        .replace(/(^-|-$)/g, '') : null;

                if (slug) {
                    data = data.set('slug', slug);
                }
                data = data.set('lastmod', new Date().toISOString());

                if (collection === 'articles' && data.get('url') === undefined && slug ) {
                    const category = data.get('category');
                    data = data.set('url', "fiches-conseils/".concat(category.replace("_index", slug)));
                }

                return data;
            },
        });
    </script>
    {{- $article := resources.Get "js/admin/article.js" -}}
    {{- $fiche_conseil := resources.Get "js/admin/fiche-conseil.js" -}}
    {{- $qui_sommes_nous := resources.Get "js/admin/qui-sommes-nous.js" -}}
    {{- $nous_contacter := resources.Get "js/admin/nous-contacter.js" -}}
    {{- $event := resources.Get "js/admin/event.js" -}}
    {{- $bundle := slice $article $fiche_conseil $qui_sommes_nous $nous_contacter $event | resources.Concat "js/admin_bundle.js" | resources.Minify | resources.Fingerprint -}}
    <script src="{{- $bundle.RelPermalink -}}"></script>
</body>

</html>